﻿'Programmer: Seth McNamee
'Project: CPT212 Lab 7
'Purpose: Design an application that works as a shopping cart system. This is the checkout screen for this application. Uses a menu strip to get to two different forms that have books that a user can select to add to the shopping cart.

Option Strict On
Option Explicit On

Public Class frmShoppingCart
    Private Sub UpdateShoppingCart()
        Dim decSubTotal As Decimal = 0.0D
        Dim decSalesTax As Decimal = 0.0D
        Dim decShipping As Decimal = 0.0D
        Dim decTotal As Decimal = 0.0D
        'Adds the item from the global variable to the list box and display the prices to the labels
        If g_strSelectedBookName <> "" Then
            lstProducts.Items.Add(g_strSelectedBookName)
        End If

        decSubTotal = calcSubTotal()
        decSalesTax = calcSalesTax()
        decShipping = calcShipping()
        decTotal = calcTotal()

        lblSubTotal.Text = decSubTotal.ToString("C")
        lblTaxAmount.Text = decSalesTax.ToString("C")
        lblShipping.Text = decShipping.ToString("C")
        lblTotal.Text = decTotal.ToString("C")
        g_strSelectedBookName = ""
    End Sub
    Private Sub mnuFileExit_Click(sender As Object, e As EventArgs) Handles mnuFileExit.Click
        'closes the program
        Me.Close()
    End Sub

    Private Sub mnuHelpAbout_Click(sender As Object, e As EventArgs) Handles mnuHelpAbout.Click
        frmAbout.Show()
    End Sub

    Private Sub mnuProductsPrintBooks_Click(sender As Object, e As EventArgs) Handles mnuProductsPrintBooks.Click
        'displays the printed book form and updates the shopping cart
        frmPrintedBooks.ShowDialog()
        UpdateShoppingCart()
    End Sub

    Private Sub mnuProductsAudionBooks_Click(sender As Object, e As EventArgs) Handles mnuProductsAudionBooks.Click
        'displays the Audio book form and updates the shopping cart
        frmAudioBooks.ShowDialog()
        UpdateShoppingCart()
    End Sub

    Private Sub btnRemove_Click(sender As Object, e As EventArgs) Handles btnRemove.Click
        'Removes the selected item from the list and subtract the item from the total
        Dim intSelectedRemove As Integer = 0
        Dim decRemoveItemPrice As Decimal = 0.0D

        If lstProducts.SelectedIndex <> -1 Then
            intSelectedRemove = lstProducts.SelectedIndex
            decRemoveItemPrice = GetSelectedBookPrice(lstProducts.Items(intSelectedRemove).ToString)
            g_decTotalCost -= decRemoveItemPrice
            g_intCounter -= 1
            lstProducts.Items.RemoveAt(intSelectedRemove)
            UpdateShoppingCart()
        Else
            MessageBox.Show("please select an item you want to remove from the list", "Input Error", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End If
    End Sub

    Private Sub mnuFileReset_Click(sender As Object, e As EventArgs) Handles mnuFileReset.Click
        'clears the main form
        g_decTotalCost = 0
        g_intCounter = 0
        lblSubTotal.Text = ""
        lblTaxAmount.Text = ""
        lblShipping.Text = ""
        lblTotal.Text = ""
        lstProducts.Items.Clear()
    End Sub
End Class
